## lua-nvim 0.0.1-25

=== debian/changelog ===
lua-nvim (0.0.1-25-1) unstable; urgency=medium

  * Initial release (Closes: #832435)

 -- Jason Pleau <jason@jpleau.ca>  Thu, 15 Sep 2016 21:29:46 -0400
