=== debian/control ===
Source: lua-nvim
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9),
            dh-lua,
            libuv1-dev,
            lua-busted,
            lua-coxpcall,
            lua-luv,
            lua-mpack,
            neovim
Standards-Version: 3.9.8
Section: interpreters
Homepage: https://github.com/neovim/lua-client/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-nvim.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-nvim.git

Package: lua-nvim
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lua-coxpcall,
         lua-mpack,
         lua-luv
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua client for Neovim
 lua-nvim provices a mean to communicate with neovim sessions
 through Lua.

Package: lua-nvim-dev
Section: libdevel
Architecture: any
Depends: lua-nvim (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua client for Neovim
 This package provide the static library for lua-nvim
