## lua-nvim 0.0.1-26

=== debian/changelog ===
lua-nvim (0.0.1-26-3) unstable; urgency=medium

  * Update Vcs-* Fields
  * Bump Standards-Version to 4.1.4, no changes needed
  * Bump debhelper compat to 11

 -- Jason Pleau <jason@jpleau.ca>  Mon, 14 May 2018 17:15:26 -0400

lua-nvim (0.0.1-26-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.0.0, no changes needed

 -- Jason Pleau <jason@jpleau.ca>  Sat, 08 Jul 2017 10:28:57 -0400

lua-nvim (0.0.1-26-1) experimental; urgency=medium

  * New upstream release
  * Add libkvm-dev to B-D on kfreebsd

 -- Jason Pleau <jason@jpleau.ca>  Thu, 04 May 2017 21:30:09 -0400
