=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: lua-nvim
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
             dh-lua,
             libuv1-dev,
+            libkvm-dev [kfreebsd-any],
             lua-busted,
             lua-coxpcall,
             lua-luv,
             lua-mpack,
             neovim
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Section: interpreters
 Homepage: https://github.com/neovim/lua-client/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-nvim.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-nvim.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-nvim
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-nvim
 
 Package: lua-nvim
 Architecture: any
@@ -31,7 +32,9 @@
 Package: lua-nvim-dev
 Section: libdevel
 Architecture: any
-Depends: lua-nvim (= ${binary:Version}), ${misc:Depends}
+Depends: lua-nvim (= ${binary:Version}),
+         ${misc:Depends},
+         libkvm-dev [kfreebsd-any]
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: Lua client for Neovim
