## lua-nvim 0.1.0-1

=== debian/changelog ===
lua-nvim (0.1.0-1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Aug 2019 11:16:14 -0700

lua-nvim (0.1.0-1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- James McCoy <jamessan@debian.org>  Mon, 18 Jun 2018 21:30:32 -0400

lua-nvim (0.1.0-1-1) unstable; urgency=medium

  * New upstream release
    + Handle stream errors before acting on the stream (Closes: #900650)
    + test: Accept new/old error messages for invalid rpcrequest() syntax

 -- Jason Pleau <jason@jpleau.ca>  Mon, 11 Jun 2018 20:44:29 -0400

lua-nvim (0.0.1-26-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- James McCoy <jamessan@debian.org>  Wed, 23 May 2018 08:15:43 -0400
