=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: lua-nvim
 Priority: optional
-Maintainer: Jason Pleau <jason@jpleau.ca>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jason Pleau <jason@jpleau.ca>
+Uploaders: James McCoy <jamessan@debian.org>
 Build-Depends: debhelper (>= 11~),
             dh-lua,
             libuv1-dev,
