## lua-nvim 0.2.0-1

=== debian/changelog ===
lua-nvim (0.2.0-1-2) unstable; urgency=medium

  * Add allow-stderr restriction to autopkgtest, since latest lua-luv is now
    dumping the error stack to stderr
  * Add myself to Uploaders
  * Use https URL for copyright-format
  * Set Rules-Requires-Root: no
  * Declare compliance with Policy 4.4.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 31 Oct 2019 23:57:04 -0400

lua-nvim (0.2.0-1-1) unstable; urgency=medium

  * New upstream release
  * Remove patch 0001, merged upstream
  * Replace debhelper B-D with debhelper-compat (= 12), remove d/compat
  * Bump Standards-Version to 4.4.0, no changes were needed

 -- Jason Pleau <jason@jpleau.ca>  Wed, 11 Sep 2019 10:17:13 -0400

lua-nvim (0.1.0-1-2) unstable; urgency=medium

  * New changelog entry
  * Include a patch to fix a FTBFS due to test timeout (Closes: #920042)

 -- Jason Pleau <jason@jpleau.ca>  Mon, 04 Mar 2019 21:12:53 -0500
