=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: lua-nvim
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Jason Pleau <jason@jpleau.ca>
+Maintainer: Jason Pleau <jason@jpleau.ca>
 Uploaders: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
             dh-lua,
             libuv1-dev,
             libkvm-dev [kfreebsd-any],
@@ -12,8 +11,9 @@
             lua-luv,
             lua-mpack,
             neovim
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Section: interpreters
+Rules-Requires-Root: no
 Homepage: https://github.com/neovim/lua-client/
 Vcs-Git: https://salsa.debian.org/lua-team/lua-nvim
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-nvim
@@ -41,4 +41,3 @@
 XB-Lua-Versions: ${lua:Versions}
 Description: Lua client for Neovim
  This package provide the static library for lua-nvim
-
