## lua-nvim 0.2.1-1

=== debian/changelog ===
lua-nvim (0.2.1-1-1) unstable; urgency=medium

  * New upstream release
    + Fix 'can receive requests from nvim' test (Closes: #946529)
  * Provide the module for Lua 5.3

 -- James McCoy <jamessan@debian.org>  Sun, 15 Dec 2019 11:33:25 -0500
