=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
             libuv1-dev,
             libkvm-dev [kfreebsd-any],
             lua-busted,
-            lua-coxpcall,
+# Minimum version for lua5.3 support
+            lua-coxpcall (>> 1.17.0-1~),
             lua-luv,
             lua-mpack,
             neovim
