=== debian/rules ===
#!/usr/bin/make -f

export DH_LUA_OPTS="skip-test-app-dynamic skip-test-app-static"

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/.local
	rm -f debian/.nvimlog
