=== debian/watch ===
version=3
opts=uversionmangle=s/\.(RC|rc|pre|dev|beta|alpha)/~$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-nvim-$1\.tar\.gz/ \
https://github.com/neovim/lua-client/tags .*/v?(\d\S*)\.tar\.gz
