## lua-nvim 0.2.2-1

=== debian/changelog ===
lua-nvim (0.2.2-1-1) unstable; urgency=medium

  * New upstream release
  * lintian:
    + Use hardening build flags
    + Use canonical Vcs-Git URL (lua-nvim.git) for Salsa
  * Declare compliance with Policy 4.5.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 05 May 2020 00:09:09 -0400
