=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
             lua-luv,
             lua-mpack,
             neovim
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: interpreters
 Rules-Requires-Root: no
 Homepage: https://github.com/neovim/lua-client/
-Vcs-Git: https://salsa.debian.org/lua-team/lua-nvim
+Vcs-Git: https://salsa.debian.org/lua-team/lua-nvim.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-nvim
 
 Package: lua-nvim
