=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DH_LUA_OPTS="skip-test-app-dynamic skip-test-app-static"
 
 %:
