=== debian/tests/control ===
Tests: dh-lua-tests
Restrictions: rw-build-tree, allow-stderr
Depends: @, @builddeps@
