## lua-nvim 0.2.3-1

=== debian/changelog ===
lua-nvim (0.2.3-1-1) unstable; urgency=medium

  * New upstream release
  * Set Lua Team as maintainer, move myself to Uploaders
  * Clarify short description of lua-system-dev
  * Declare compliance with Policy 4.6.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 05 May 2022 18:50:26 -0400
