=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lua-nvim
 Priority: optional
-Maintainer: Jason Pleau <jason@jpleau.ca>
-Uploaders: James McCoy <jamessan@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Jason Pleau <jason@jpleau.ca>, James McCoy <jamessan@debian.org>
 Build-Depends: debhelper-compat (= 12),
             dh-lua,
             libuv1-dev,
@@ -12,7 +12,7 @@
             lua-luv,
             lua-mpack,
             neovim
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: interpreters
 Rules-Requires-Root: no
 Homepage: https://github.com/neovim/lua-client/
@@ -40,5 +40,5 @@
          libkvm-dev [kfreebsd-any]
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
-Description: Lua client for Neovim
+Description: Lua client for Neovim (development files)
  This package provide the static library for lua-nvim
