## lua-nvim 0.2.4-1

=== debian/changelog ===
lua-nvim (0.2.4-1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Policy 4.6.2, no changes needed
  * Use debian/clean to declare required cleanup
  * Annotate neovim Build-Depends as <!nocheck>
  * Remove libkvm-dev Build-Depends now that libuv1-dev has it
  * autopkgtest:
    - Limit autopkgtest runtime to 5 minutes
    - Skip the test if it times out (Closes: #1026869)

 -- James McCoy <jamessan@debian.org>  Fri, 23 Dec 2022 12:49:30 -0500
