=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Build-Depends: debhelper-compat (= 12),
             dh-lua,
             libuv1-dev,
-            libkvm-dev [kfreebsd-any],
             lua-busted,
 # Minimum version for lua5.3 support
             lua-coxpcall (>> 1.17.0-1~),
             lua-luv,
             lua-mpack,
-            neovim
-Standards-Version: 4.6.0
+            neovim <!nocheck>,
+Standards-Version: 4.6.2
 Section: interpreters
 Rules-Requires-Root: no
 Homepage: https://github.com/neovim/lua-client/
