=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,3 @@
 
 %:
 	dh $@ --buildsystem=lua --with lua
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf debian/.local
-	rm -f debian/.nvimlog
